com.google.cloud.dataflow.sdk.runners.inprocess

## Interface InProcessPipelineRunner.UncommittedBundle<T>

Type Parameters:
  `T` - the type of elements that can be added to this bundle

Enclosing class:
  InProcessPipelineRunner

    public static interface InProcessPipelineRunner.UncommittedBundle<T>

Part of a `PCollection`. Elements are output to a bundle, which will cause them to be executed by `PTransforms` that consume the `PCollection` this bundle is a part of at a later point. This is an uncommitted bundle and can have elements added to it.

### Method Summary

All Methods Instance Methods Abstract Methods
`InProcessPipelineRunner.UncommittedBundle<T>` `add(com.google.cloud.dataflow.sdk.util.WindowedValue<T> element)` Outputs an element to this bundle.
`InProcessPipelineRunner.CommittedBundle<T>` `commit(Instant synchronizedProcessingTime)` Commits this `InProcessPipelineRunner.UncommittedBundle`, returning an immutable `InProcessPipelineRunner.CommittedBundle` containing all of the elements that were added to it.
`PCollection<T>` `getPCollection()` Returns the PCollection that the elements of this `InProcessPipelineRunner.UncommittedBundle` belong to.

### Method Detail

#### getPCollection

    PCollection<T> getPCollection()

Returns the PCollection that the elements of this `InProcessPipelineRunner.UncommittedBundle` belong to.

#### add

    InProcessPipelineRunner.UncommittedBundle<T> add(com.google.cloud.dataflow.sdk.util.WindowedValue<T> element)

Outputs an element to this bundle.

Parameters:
  `element` - the element to add to this bundle
Returns:
  this bundle

#### commit

    InProcessPipelineRunner.CommittedBundle<T> commit(Instant synchronizedProcessingTime)

Commits this `InProcessPipelineRunner.UncommittedBundle`, returning an immutable `InProcessPipelineRunner.CommittedBundle` containing all of the elements that were added to it. The `add(WindowedValue)` method will throw an `IllegalStateException` if called after a call to commit.

Parameters:
  `synchronizedProcessingTime` - the synchronized processing time at which this bundle was committed